﻿using System.Diagnostics;
using System.Runtime.Serialization;

namespace FMK.EFH.Contracts.Extensions.Errors
{
    [DataContract(Namespace = "http://api.fullmaktskollen.se/")]
    [DebuggerDisplay("Path={Path}, ErrorId={ErrorId}, Error={Error}")]
    public class ErrorDetail
    {
        public ErrorDetail()
        {

        }

        public ErrorDetail(string path, string errorId, string error)
        {
            Path = path;
            ErrorId = errorId;
            Error = error;
        }

        [DataMember(IsRequired = true)]
        public string Path { get; set; }

        [DataMember(IsRequired = true)]
        public string ErrorId { get; set; }

        [DataMember(IsRequired = true)]
        public string Error { get; set; }
    }
}
